package common.block.natural;

import common.block.Block;
import common.block.Material;
import common.init.Items;
import common.item.CheatTab;
import common.item.Item;
import common.rng.Random;
import common.world.State;

public class BlockObsidian extends Block
{
    public BlockObsidian()
    {
        super(Material.SOLID);
        this.setTab(CheatTab.NATURE);
    }

    /**
     * Get the Item that this Block should drop when harvested.
     */
    public Item getItemDropped(State state, Random rand, int fortune)
    {
        return Items.obsidian;
    }

//    /**
//     * Get the MapColor for this Block and the given BlockState
//     */
//    public MapColor getMapColor(IBlockState state)
//    {
//        return MapColor.blackColor;
//    }
}
